com.genesyslab.wfm7.API.service.config712

## Class CfgExceptionType

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgExceptionType

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgExceptionType
      extends java.lang.Object
      implements java.io.Serializable

  Exception Type information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private boolean` | `wmConvertable2DayOff` Is convertable to Day Off? (true/false)
    `private double` | `wmDeletedDateTime`
    `private int` | `wmExceptionTypeId` Exception Type ID
    `private boolean` | `wmFullDay` Is full-day? (true/false)
    `private java.lang.String` | `wmName` Time Off Type Name
    `private boolean` | `wmOnsite` Is on-site? (true/false)
    `private boolean` | `wmPaid` Is Exception paid? (true/false)
    `private java.lang.String` | `wmShortName` Time Off Type Short Name
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private int` | `wmTimeOffTypeId` Time Off Type ID if wmUsedAsVacation = true
    `private int` | `wmTradeRule` Trading Rule (`ECfgTradeRule`)
    `private boolean` | `wmUsedAsVacation` Is used as Time Off? (true/false)
    `private boolean` | `wmUsedInMeeting` Used as a Meeting? (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgExceptionType()`
    `CfgExceptionType(int wmExceptionTypeId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, boolean wmUsedInMeeting, boolean wmPaid, boolean wmOnsite, boolean wmFullDay, boolean wmConvertable2DayOff, boolean wmUsedAsVacation, int wmTimeOffTypeId, int wmTradeRule, double wmDeletedDateTime, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgExceptionType.
    `double` | `getWmDeletedDateTime()` Gets the wmDeletedDateTime value for this CfgExceptionType.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this CfgExceptionType.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgExceptionType.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgExceptionType.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgExceptionType.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this CfgExceptionType.
    `int` | `getWmTradeRule()` Gets the wmTradeRule value for this CfgExceptionType.
    `int` | `hashCode()`
    `boolean` | `isWmConvertable2DayOff()` Gets the wmConvertable2DayOff value for this CfgExceptionType.
    `boolean` | `isWmFullDay()` Gets the wmFullDay value for this CfgExceptionType.
    `boolean` | `isWmOnsite()` Gets the wmOnsite value for this CfgExceptionType.
    `boolean` | `isWmPaid()` Gets the wmPaid value for this CfgExceptionType.
    `boolean` | `isWmUsedAsVacation()` Gets the wmUsedAsVacation value for this CfgExceptionType.
    `boolean` | `isWmUsedInMeeting()` Gets the wmUsedInMeeting value for this CfgExceptionType.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgExceptionType.
    `void` | `setWmConvertable2DayOff(boolean wmConvertable2DayOff)` Sets the wmConvertable2DayOff value for this CfgExceptionType.
    `void` | `setWmDeletedDateTime(double wmDeletedDateTime)` Sets the wmDeletedDateTime value for this CfgExceptionType.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this CfgExceptionType.
    `void` | `setWmFullDay(boolean wmFullDay)` Sets the wmFullDay value for this CfgExceptionType.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgExceptionType.
    `void` | `setWmOnsite(boolean wmOnsite)` Sets the wmOnsite value for this CfgExceptionType.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this CfgExceptionType.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgExceptionType.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgExceptionType.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this CfgExceptionType.
    `void` | `setWmTradeRule(int wmTradeRule)` Sets the wmTradeRule value for this CfgExceptionType.
    `void` | `setWmUsedAsVacation(boolean wmUsedAsVacation)` Sets the wmUsedAsVacation value for this CfgExceptionType.
    `void` | `setWmUsedInMeeting(boolean wmUsedInMeeting)` Sets the wmUsedInMeeting value for this CfgExceptionType.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

      Exception Type ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Time Off Type Name

    - #### wmShortName

          private java.lang.String wmShortName

      Time Off Type Short Name

    - #### wmUsedInMeeting

          private boolean wmUsedInMeeting

      Used as a Meeting? (true/false)

    - #### wmPaid

          private boolean wmPaid

      Is Exception paid? (true/false)

    - #### wmOnsite

          private boolean wmOnsite

      Is on-site? (true/false)

    - #### wmFullDay

          private boolean wmFullDay

      Is full-day? (true/false)

    - #### wmConvertable2DayOff

          private boolean wmConvertable2DayOff

      Is convertable to Day Off? (true/false)

    - #### wmUsedAsVacation

          private boolean wmUsedAsVacation

      Is used as Time Off? (true/false)

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      Time Off Type ID if wmUsedAsVacation = true

    - #### wmTradeRule

          private int wmTradeRule

      Trading Rule (`ECfgTradeRule`)

    - #### wmDeletedDateTime

          private double wmDeletedDateTime

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgExceptionType

          public CfgExceptionType()

    - #### CfgExceptionType

          public CfgExceptionType(int wmExceptionTypeId,
                          int wmSiteId,
                          java.lang.String wmName,
                          java.lang.String wmShortName,
                          boolean wmUsedInMeeting,
                          boolean wmPaid,
                          boolean wmOnsite,
                          boolean wmFullDay,
                          boolean wmConvertable2DayOff,
                          boolean wmUsedAsVacation,
                          int wmTimeOffTypeId,
                          int wmTradeRule,
                          double wmDeletedDateTime,
                          long timestamp)

  - ### Method Detail

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this CfgExceptionType.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this CfgExceptionType.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgExceptionType.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgExceptionType.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgExceptionType.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgExceptionType.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgExceptionType.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgExceptionType.
      Parameters:
        `wmShortName` -

    - #### isWmUsedInMeeting

          public boolean isWmUsedInMeeting()

      Gets the wmUsedInMeeting value for this CfgExceptionType.
      Returns:
        wmUsedInMeeting

    - #### setWmUsedInMeeting

          public void setWmUsedInMeeting(boolean wmUsedInMeeting)

      Sets the wmUsedInMeeting value for this CfgExceptionType.
      Parameters:
        `wmUsedInMeeting` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this CfgExceptionType.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this CfgExceptionType.
      Parameters:
        `wmPaid` -

    - #### isWmOnsite

          public boolean isWmOnsite()

      Gets the wmOnsite value for this CfgExceptionType.
      Returns:
        wmOnsite

    - #### setWmOnsite

          public void setWmOnsite(boolean wmOnsite)

      Sets the wmOnsite value for this CfgExceptionType.
      Parameters:
        `wmOnsite` -

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the wmFullDay value for this CfgExceptionType.
      Returns:
        wmFullDay

    - #### setWmFullDay

          public void setWmFullDay(boolean wmFullDay)

      Sets the wmFullDay value for this CfgExceptionType.
      Parameters:
        `wmFullDay` -

    - #### isWmConvertable2DayOff

          public boolean isWmConvertable2DayOff()

      Gets the wmConvertable2DayOff value for this CfgExceptionType.
      Returns:
        wmConvertable2DayOff

    - #### setWmConvertable2DayOff

          public void setWmConvertable2DayOff(boolean wmConvertable2DayOff)

      Sets the wmConvertable2DayOff value for this CfgExceptionType.
      Parameters:
        `wmConvertable2DayOff` -

    - #### isWmUsedAsVacation

          public boolean isWmUsedAsVacation()

      Gets the wmUsedAsVacation value for this CfgExceptionType.
      Returns:
        wmUsedAsVacation

    - #### setWmUsedAsVacation

          public void setWmUsedAsVacation(boolean wmUsedAsVacation)

      Sets the wmUsedAsVacation value for this CfgExceptionType.
      Parameters:
        `wmUsedAsVacation` -

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this CfgExceptionType.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this CfgExceptionType.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the wmTradeRule value for this CfgExceptionType.
      Returns:
        wmTradeRule

    - #### setWmTradeRule

          public void setWmTradeRule(int wmTradeRule)

      Sets the wmTradeRule value for this CfgExceptionType.
      Parameters:
        `wmTradeRule` -

    - #### getWmDeletedDateTime

          public double getWmDeletedDateTime()

      Gets the wmDeletedDateTime value for this CfgExceptionType.
      Returns:
        wmDeletedDateTime

    - #### setWmDeletedDateTime

          public void setWmDeletedDateTime(double wmDeletedDateTime)

      Sets the wmDeletedDateTime value for this CfgExceptionType.
      Parameters:
        `wmDeletedDateTime` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgExceptionType.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgExceptionType.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.